SDL_GetWindowMouseRect(3)

NAME
SDL_GetWindowMouseRect - Get the mouse confinement rectangle of a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

const SDL_Rect * SDL_GetWindowMouseRect(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
Returns a pointer to the mouse confinement rectangle of a window, or NULL if there isn't one.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetWindowMouseRect(3), SDL_GetWindowMouseGrab(3), SDL_SetWindowMouseGrab(3)